Bug 111385 - Overuse connections to a PostgreSQL server
Overuse connections to a PostgreSQL server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mod_auth_pgsql (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-02 15:54 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 03:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-12-02 15:54:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)
Gecko/20031030

Description of problem:
I use mod_auth_pgsql which connect to other PostgreSQL Server.
When after authentification is used, connections to PostgreSQL is keep
alive (IDLE) for long time. Then number of connedtion reach max number
32, and I couldn't use the DB Server for other aims. 29/32 is used by
mod_auth_pgsql.

DB Server PostgreSQL 7.3.3 (compile myself)
 It is in a other server on the same network. 

Web Server httpd-2.0.47-10 (FC1)

Version-Release number of selected component (if applicable):
mod_auth_pgsql-2.0.1-3

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/httpd/conf.d/auth_pgsql enable authentification to root
of the web server.
2. Access to any contents on the server by a brouser with
authentification.
3. Finish brouser which saw the web server.
3. Check process on DB Server by ps alx. You can see process from Web
server for long time.
    

Additional info:
Comment 1 Need Real Name 2003-12-14 06:53:54 EST
mod_auth_pgsql version 2.0.2b1, this problem may fixed .

Changelog:
>> 2.0.2b1  2003-10-06 (Giuseppe Tanzilli <info@giuseppetanzilli.it>)
>> - connection reuse logic is now optional and default is off
>> - connection reuse will open one connection per child (was one per
dir config)
Comment 2 Joe Orton 2006-01-09 03:24:54 EST
This was fixed in FC3 and later, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.